import { SettingsService } from '@delon/theme';
import { IdentityService } from '../../../../../service/identity.service';
export declare class KengicLayoutDefaultHeaderUserComponent {
    settingsService: SettingsService;
    private identityService;
    displayChangePasswordOption: boolean;
    headerUserChangePasswordComponentProp: {
        visible: boolean;
    };
    constructor(settingsService: SettingsService, identityService: IdentityService, displayChangePasswordOption: boolean);
    logout(): void;
    openChangePasswordComponent(): void;
}
